% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/bartModMat.R
\name{bartModMat}
\alias{bartModMat}
\title{Expand a data frame into a matrix suitable for BART}
\usage{
bartModMat(X)
}
\arguments{
\item{X}{data frame to be converted to a matrix by exanding factors to
dummies}
}
\value{
The matrix with numeric variables in the first set of columns and
  factor dummies following.
}
\description{
Goes through the data frame and creates a numeric matrix suitable for use
with BART. The numeric variables are collected into the a first set of
columns and the factors are expanded into dummies and added as columns after
the numeric columns. Note that a factor with k levels is expressed as k
dummies (not k-1 as in a linear model).
}
\details{
Note that the R package BART has a function \code{bartModelMatrix} which does
a similar thing as \code{bartModMat}. \code{bartModMat} is a simplified
version.
}
\examples{
xdf = data.frame(x1=1:5,x2=as.factor(c(1,2,3,1,2)))
x = bartModMat(xdf)
print(xdf)
print(x)
}
